Summary: An info file viewer
Name: pinfo
Version: 0.6.9
Release: 12%{?dist}
Group: System Environment/Base
License: GPLv2
URL: http://pinfo.alioth.debian.org
Source: http://alioth.debian.org/frs/download.php/1498/pinfo-%{version}.tar.bz2
Patch1: pinfo-0.6.9-xdg.patch
Patch2: pinfo-0.6.9-infosuff.patch
Patch3: pinfo-0.6.9-nogroup.patch
Patch4: pinfo-0.6.9-mansection.patch
Patch5: pinfo-0.6.9-infopath.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ncurses-devel
Requires: xdg-utils
# for /sbin/install-info
Requires(post): info
Requires(preun): info

%description
Pinfo is an info file (or man page) viewer with a user interface
similar to the Lynx Web browser's interface.  Pinfo supports searching
using regular expressions, and is based on the ncurses library.

%prep
%setup -q
%patch1 -p1 -b .xdg
%patch2 -p1 -b .infosuff
%patch3 -p1 -b .nogroup
%patch4 -p1 -b .mansection
%patch5 -p1 -b .infopath

%build
%configure --without-readline
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
# These symbolic links conflict with actual binaries in perl-pmtools (bz 437612)
# ln -sf pinfo $RPM_BUILD_ROOT%{_bindir}/pman
# ln -sf pinfo.1 $RPM_BUILD_ROOT%{_mandir}/man1/pman.1

# This file should not be packaged
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS README TECHSTUFF
%config(noreplace) %{_sysconfdir}/pinforc
%{_bindir}/pinfo
# %{_bindir}/pman
%{_infodir}/pinfo.info*
%{_mandir}/man1/pinfo.1*
# %{_mandir}/man1/pman.1*

%post
/sbin/install-info %{_infodir}/pinfo.info.gz %{_infodir}/dir &> /dev/null
:
 
%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/pinfo.info.gz %{_infodir}/dir &> /dev/null
fi
:

%clean
rm -rf $RPM_BUILD_ROOT


%changelog

